unit Maxiu;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TForm1 = class(TForm)
    ZahlEin1: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    ZahlEin2: TEdit;
    Label3: TLabel;
    Suchen: TButton;
    Maximum: TEdit;
    procedure SuchenClick(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.SuchenClick(Sender: TObject);
var zahl1, zahl2, max : real;
begin
   zahl1 := strtofloat(ZahlEin1.text);
   zahl2 := strtofloat(ZahlEin2.text);
   if zahl1 > zahl2
   then max := zahl1
   else max := zahl2;
   Maximum.text := floattostr(max);
end;

end.
